# Set Up Guide
1. Create a python virtual environment
 
 `python3 -m venv /absolute/path/to/venv`

2. Install depends in venv
 
 `/absolute/path/to/venv/bin/pip install spotdl`

 `/absolute/path/to/venv/bin/pip3 install pyTelegramBotAPI requests beautifulsoup4 spotdl`

3. Edit start.py with correct telegram API token and change directories variables.

4. Start the script
`/absolute/path/to/venv/bin/python start.py`


## Unit file

```
[Unit]
Description=tg_spotdl
After=network-online.target

[Service]
User=nobody
ExecStart=/absolute/path/to/venv/bin/python /absolute/path/to/start.py
Restart=always
RestartSec=5s
RuntimeMaxSec=12h

[Install]
WantedBy=multi-user.target

```

## Start Script
```
#!/bin/bash
/absolute/path/to/venv/bin/python /absolute/path/to/start.py
exit
```


# Usage

1. Private message your bot.
2. Type `/start` in the PM 
3. The bot will ask for the artist url. It will look something like this `https://open.spotify.com/artist/lajs7ahska91187skas`
4. Bot auto gets the artist name.
5. Wait, the bot will let you know when it's done and ready for another artist.


## Useful Links
https://github.com/eternnoir/pyTelegramBotAPI
